<nav aria-label="Page navigation " class="d-flex flex-row-reverse">
    <div class="">
        <select class="form-select" name="options" id="options" [value]="pageOptionZise">
            <option *ngFor="let option of pageOptionZise" [value]="option">{{option}}</option>
        </select>
    </div>
    <ul class="pagination">
        <li class="page-item">
            <a class="page-link" (click)="prev()" aria-label="Previous">
                <span aria-hidden="true">&laquo;</span>
            </a>
        </li>
        <li class="page-item" *ngFor="let page of calculateTotalPages(length,pageZise)"><a class="page-link" [ngClass]="pageIndex == page ? 'active' :'' " (click)="getCurrentPage(page)" >{{page}}</a></li>
        <li class="page-item">
            <a class="page-link" (click)="next()" aria-label="Next">
                <span aria-hidden="true">&raquo;</span>
            </a>
        </li>
    </ul>
</nav>